package ir.phoenix_iran.mytoast;

import android.graphics.Typeface;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;
import static android.widget.Toast.makeText;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final Toast toast = makeText(getBaseContext()," کار با Toast شخصی سازی شده ",Toast.LENGTH_LONG);
        final TextView myToast = (TextView) toast.getView().findViewById(android.R.id.message);
        myToast.setTextColor(getResources().getColor(R.color.MyToastText));
        Typeface typeFace = Typeface.createFromAsset(getAssets(),"divani.ttf");
        myToast.setTypeface(typeFace);
        View view = toast.getView();
        view.setBackgroundResource(R.drawable.shap);

        Button btn = (Button)findViewById(R.id.btn);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                toast.show();
            }
        });
    }
}
